Skip to content

Create an additional account for the authenticated user

POST
/accounts
curl --request POST \
--url https://api.pingram.io/accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "plan": { "tier": "budget_20", "sourceBillingAccountId": "example" }, "memberEmails": [ "example" ] }'

Authorizations

Request Bodyrequired

Media typeapplication/json

Request body for POST /accounts (create additional account).

object
name
required
string
plan

Billing to copy onto a new additional account.

object
tier
required
string
Allowed values: budget_20 budget_50 budget_100 budget_250 budget_500 budget_1000 budget_2000 budget_5000
sourceBillingAccountId
required

Account whose saved payment method is copied onto the new account. The caller must be an owner of this account.

string
memberEmails

Emails to add or invite to the new account. Existing members of any account the caller belongs to are added directly; everyone else is invited.

Array<string>

Responses

200

Successful response

Media typeapplication/json

Response for POST /accounts

object
accountId
required
string
name
required
string
status
required
string
Allowed values: verified unverified blocked
subscriptionStatus
string
nullable
Allowed values: active canceled past_due paused
Example
{
"status": "verified",
"subscriptionStatus": "active"
}

400

Bad Request - validation errors, invalid input

Media typeapplication/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Examplegenerated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}

401

Unauthorized

402

Payment Required - usage limits exceeded

Media typeapplication/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Examplegenerated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}

500

Internal Server Error

502

Bad Gateway - provider error

Media typeapplication/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Examplegenerated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}